export function getExtraTitleStyleName(title, styleMap) {
    if (!title || !styleMap) {
        return '';
    }
    var greens = ['startDesignButtonTitle', 'hasFilter', 'showChangeButton', 'showEditButton', 'showCollectionButton', 'contentEditorTitle'];
    var yellows = ['showSelectContent', 'defaultAutoFillContent', 'useKeywords'];
    var grays = ['showAutoFillContent', 'canEditChannelInput', 'useBrand', 'showBrandInput'];
    var ret = greens.some(function (name) { return title.indexOf(name) > -1; });
    if (ret) {
        return styleMap.green;
    }
    ret = yellows.some(function (name) { return title.indexOf(name) > -1; });
    if (ret) {
        return styleMap.yellow;
    }
    ret = grays.some(function (name) { return title.indexOf(name) > -1; });
    if (ret) {
        return styleMap.gray;
    }
    return '';
}
